[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [p2-dev] Continue with the down compilation?

----- Original Message -----
> From: "Pascal Rapicault" <pascal.rapicault@xxxxxxxxxxxx>
> To: p2-dev@xxxxxxxxxxx
> Sent: Wednesday, November 21, 2012 5:12:55 PM
> Subject: [p2-dev] Continue with the down compilation?
> 
> 
> 
> 
> 
> p2 code makes uses of the compiler flag jsr14 to down compile java 5
> annotations to java 1.4 compatible bytecode, given that java 1.4
> life has ended, Iâm wondering if this is still necessary.

I would say that not only it's not needed but it is simply not working for people using Java 7. See http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=7078419 and the resolution - "Resolution: Not an Issue". 
Currently it is plain broken when used with Java 7 and one has to target 1.5 for it.


Alexander Kurtakov
Red Hat Eclipse team

> 
> 
> 
> Pascal
> _______________________________________________
> p2-dev mailing list
> p2-dev@xxxxxxxxxxx
> https://dev.eclipse.org/mailman/listinfo/p2-dev
>